Skip to main content
POST

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Headers

x-api-version
string
default:2025-11-01
required

API version to be used. Format is in YYYY-MM-DD.

Example:

"2025-11-01"

Body

application/json

Request parameters to check the user's eligibility for a credit or debit transaction.

user_id
string
required

Unique identifier for the user, as provided by you during PPI user creation. Only alphanumeric characters, periods (.), hyphens (-), and underscores (_) are allowed.

Required string length: 1 - 50
Example:

"USER827364"

wallet_id
string
required

Unique identifier for the wallet, as provided by you during wallet creation. Only alphanumeric characters, periods (.), hyphens (-), and underscores (_) are allowed.

Required string length: 1 - 50
Example:

"WALLET936721"

cf_sub_wallet_id
string
required

Unique identifier of the sub-wallet for which eligibility is being checked. Only numeric characters are allowed.

Required string length: 1 - 19
Example:

"35246543210987654321"

amount
number<double>
required

Transaction amount for which eligibility is being validated. Must be a valid positive number with up to 2 decimal places.

Required range: x >= 1
Example:

600

flow_type
string
required

Type of transaction flow:

  • CREDIT - Add funds to the sub-wallet.
  • DEBIT - Remove funds from the sub-wallet.
Example:

"DEBIT"

Response

Success response for checking transaction eligibility.

eligible
boolean

Whether the user is eligible to perform the specified transaction.

Example:

true

user_id
string

Unique identifier for the user, as provided by you during PPI user creation.

Example:

"USER827364"

wallet_id
string

Unique identifier for the wallet, as provided by you during wallet creation.

Example:

"WALLET936721"

cf_sub_wallet_id
string

Unique identifier of the sub-wallet for which eligibility was checked.

Example:

"35246543210987654321"

amount
number<double>

Transaction amount that was validated.

Example:

600

flow_type
string

Type of transaction that was checked.

  • CREDIT
  • DEBIT
Example:

"DEBIT"